> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List org payment history

> Paginated Polar order history for the active org, newest first. Amounts are in minor units (cents) of the order currency. An org that has never paid returns an empty list.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/billing/payments
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/billing/payments:
    get:
      tags:
        - billing
      summary: List org payment history
      description: >-
        Paginated Polar order history for the active org, newest first. Amounts
        are in minor units (cents) of the order currency. An org that has never
        paid returns an empty list.
      parameters:
        - schema:
            type: integer
            minimum: 1
            default: 1
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
            example: 20
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Payment history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient role
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
        '502':
          description: Provider error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentsResponse:
      type: object
      properties:
        payments:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
        pagination:
          type: object
          properties:
            page:
              type: integer
            limit:
              type: integer
            total_count:
              type: integer
            max_page:
              type: integer
          required:
            - page
            - limit
            - total_count
            - max_page
      required:
        - payments
        - pagination
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        fields:
          nullable: true
      required:
        - detail
    BillingError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    Payment:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - draft
            - pending
            - paid
            - refunded
            - partially_refunded
            - void
        paid:
          type: boolean
        created_at:
          type: string
          format: date-time
        subtotal_amount:
          type: integer
        discount_amount:
          type: integer
        tax_amount:
          type: integer
        total_amount:
          type: integer
        refunded_amount:
          type: integer
        currency:
          type: string
        billing_reason:
          type: string
        description:
          type: string
          nullable: true
        invoice_number:
          type: string
          nullable: true
        invoice_available:
          type: boolean
        product_name:
          type: string
          nullable: true
        plan:
          type: string
          nullable: true
          enum:
            - free
            - developer
            - pro
            - enterprise
      required:
        - id
        - status
        - paid
        - created_at
        - subtotal_amount
        - discount_amount
        - tax_amount
        - total_amount
        - refunded_amount
        - currency
        - billing_reason
        - description
        - invoice_number
        - invoice_available
        - product_name
        - plan
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````